Bug 830688 - [abrt] calibre-0.8.54-1.fc18: plumber.py:679:__init__:ValueError: No plugin to handle output format: odt
[abrt] calibre-0.8.54-1.fc18: plumber.py:679:__init__:ValueError: No plugin t...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:58392337b204f3f32c8a0669355...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 04:28 EDT by Michal Nowak
Modified: 2013-08-01 13:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2012-06-11 04:28:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python2 /usr/bin/ebook-convert 'virt_share_me/\xc3\x9avod do historie - souhrn/\xc3\x9avod do historie.odt' xxx.odt
executable:     /usr/bin/ebook-convert
kernel:         3.4.0-1.fc17.x86_64
time:           Sun 10 Jun 2012 01:30:31 PM CEST
uid:            1000
username:       newman

backtrace:
:plumber.py:679:__init__:ValueError: No plugin to handle output format: odt
:
:Traceback (most recent call last):
:  File "/usr/bin/ebook-convert", line 20, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 307, in main
:    parser, plumber = create_option_parser(args, log)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 266, in create_option_parser
:    plumber = Plumber(input, output, log, reporter)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 679, in __init__
:    raise ValueError('No plugin to handle output format: '+output_fmt)
:ValueError: No plugin to handle output format: odt
:
:Local variables in innermost frame:
:dummy: False
:log: <calibre.utils.logging.Log object at 0x7f518d705d90>
:output: u'/home/newman/xxx.odt'
:self: <calibre.ebooks.conversion.plumber.Plumber object at 0xe6aad0>
:nfp: u'/home/newman/virt_share_me/\xdavod do historie - souhrn/\xdavod do historie.odt'
:override_input_metadata: False
:abort_after_input_dump: False
:merge_plugin_recs: True
:input_fmt: u'odt'
:x: <calibre.customize.profiles.TabletOutput object at 0xdc4fd0>
:output_fmt: u'odt'
:report_progress: <calibre.ebooks.conversion.cli.ProgressBar object at 0xe6aa90>
:input: u'/home/newman/virt_share_me/\xdavod do historie - souhrn/\xdavod do historie.odt'
Comment 1 Kevin Fenzi 2012-06-11 10:28:43 EDT
I guess calibre doesn't support odt conversions? 

What were you trying to convert to/from here?
Comment 2 Michal Nowak 2012-06-12 02:04:15 EDT
It does, and it works. I believe it happened when I started the conversion and then ended it with Ctrl-C.
Comment 3 Kevin Fenzi 2012-10-06 13:32:03 EDT
Does this persist in the newest version in the side repo?
Comment 5 Kevin Fenzi 2013-05-02 17:14:45 EDT
In the next few days there will be a newer calibre version available in updates-testing. 
Can you try: 'yum --enablerepo=updates-testing update calibre' and try and duplicate the problem with the new version? 

Thanks.
Comment 6 Fedora End Of Life 2013-07-04 02:04:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:29:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.